aboutsummaryrefslogtreecommitdiff
path: root/libc/ci/dox.sh
diff options
context:
space:
mode:
Diffstat (limited to 'libc/ci/dox.sh')
-rw-r--r--libc/ci/dox.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/libc/ci/dox.sh b/libc/ci/dox.sh
index 85e9243..521743e 100644
--- a/libc/ci/dox.sh
+++ b/libc/ci/dox.sh
@@ -1,12 +1,12 @@
-#!/bin/sh
+#!/usr/bin/env sh
# Builds documentation for all target triples that we have a registered URL for
# in liblibc. This scrapes the list of triples to document from `src/lib.rs`
# which has a bunch of `html_root_url` directives we pick up.
-set -e
+set -ex
-TARGETS=`grep html_root_url src/lib.rs | sed 's/.*".*\/\(.*\)"/\1/'`
+TARGETS=$(grep html_root_url src/lib.rs | sed 's/.*".*\/\(.*\)"/\1/'| sed 's/)//')
rm -rf target/doc
mkdir -p target/doc
@@ -14,12 +14,12 @@ mkdir -p target/doc
cp ci/landing-page-head.html target/doc/index.html
for target in $TARGETS; do
- echo documenting $target
+ echo "documenting ${target}"
- rustdoc -o target/doc/$target --target $target src/lib.rs --cfg dox \
+ rustdoc -o "target/doc/${target}" --target "${target}" src/lib.rs --cfg cross_platform_docs \
--crate-name libc
- echo "<li><a href="/libc/$target/libc/index.html">$target</a></li>" \
+ echo "<li><a href=\"/libc/${target}/libc/index.html\">${target}</a></li>" \
>> target/doc/index.html
done
@@ -28,6 +28,6 @@ cat ci/landing-page-footer.html >> target/doc/index.html
# If we're on travis, not a PR, and on the right branch, publish!
if [ "$TRAVIS_PULL_REQUEST" = "false" ] && [ "$TRAVIS_BRANCH" = "master" ]; then
pip install ghp_import --install-option="--prefix=$HOME/.local"
- $HOME/.local/bin/ghp-import -n target/doc
- git push -qf https://${GH_TOKEN}@github.com/${TRAVIS_REPO_SLUG}.git gh-pages
+ "${HOME}/.local/bin/ghp-import" -n target/doc
+ git push -qf "https://${GH_TOKEN}@github.com/${TRAVIS_REPO_SLUG}.git" gh-pages
fi